Subject: Re: Quick question

From: Radoslaw Szkodzinski <[email-masked]>
Date: Tue, 14 Feb 2006 03:21:54 +0100

Junio C Hamano wrote:
> Wow, you have a strong voice.
>
I didn't want to sound rude at all, of course.

>> That's why I used the -o (--others).
> 
> You asked it to show either ignored or others.
> 

So here's the catch? I don't think so.
But the manpage isn't totally clear in this matter.

When I specify just -o, it gives me files which weren't ignored too.
-o -i gives me only ignored files.
Plain -i returns nothing.

With git directory, compare:
git-ls-files -o -i -X .gitignore

with:
git-ls-files -o

The remainder is:
git-ls-files -o -X .gitignore

I have the documentation built.
(Yes, I'm not including its .gitignore on purpose)

> 
>> I would like to use it for backup~ hunting purposes in a script
>> and not have to worry about find and other less portable tools.
> 
> I usually do this for that:
> 
> 	git ls-files -o '*~'
> 

Also good. I have *~ in ignored too, so I think -o -i will suffice.

-- 
GPG Key id:  0xD1F10BA2
Fingerprint: 96E2 304A B9C4 949A 10A0  9105 9543 0453 D1F1 0BA2

AstralStorm